      subroutine setup_grid2 (tile)      


      use Agrif_Util
#include "Param_BeforeCall_setup_grid2.h"
      integer(4) :: tile
      

        call Sub_Loop_setup_grid2(tile, Agrif_tabvars_i(8)%iarray0, Agri
     &f_tabvars_i(7)%iarray0)

      end


#include "Sub_Loop_setup_grid2.h"
      subroutine setup_grid2_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_setup_grid2_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_setup_grid2_tile(Istr,Iend,Jstr,Jend, Agrif_tabvar
     &s_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%i
     &array0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(176)%iarray0, 
     &Agrif_tabvars_i(168)%iarray0, Agrif_tabvars_r(54)%darray0, Agrif_t
     &abvars_r(50)%darray0, Agrif_tabvars_r(40)%array0, Agrif_tabvars_r(
     &39)%array0, Agrif_tabvars_r(38)%array0, Agrif_tabvars_r(37)%array0
     &, Agrif_tabvars_r(44)%array0, Agrif_tabvars_r(43)%array0, Agrif_ta
     &bvars_r(42)%array0, Agrif_tabvars_r(41)%array0, Agrif_tabvars_r(36
     &)%array0, Agrif_tabvars_r(35)%array0, Agrif_tabvars_i(8)%iarray0, 
     &Agrif_tabvars_i(7)%iarray0, Agrif_tabvars(78)%array2, Agrif_tabvar
     &s(98)%array2, Agrif_tabvars(79)%array2, Agrif_tabvars(99)%array2, 
     &Agrif_tabvars(110)%array2, Agrif_tabvars(109)%array2, Agrif_tabvar
     &s_r(4)%array0, Agrif_tabvars(103)%array2, Agrif_tabvars(104)%array
     &2, Agrif_tabvars(81)%array2, Agrif_tabvars(115)%array2, Agrif_tabv
     &ars_l(13)%larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11
     &)%larray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_setup_grid2_tile.h"
